--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/addcontact Mon May 08 13:45:01 2023 -0400
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+# USAGE: addcontact 'Kevin Wu <kevinwuhoo@gmail.com>'
+
+RAW="$1"
+
+EMAIL="$(echo "$1" | grep -Po '<.+>' | tr -d '<>')"
+NAME="$(echo "$1" | sed -e 's/ [^ ]*$//')"
+
+printf "$EMAIL"'\t'"$NAME"'\t\n' >> ~/.contacts
--- a/stumpwmrc Sat Mar 18 16:12:20 2023 -0400
+++ b/stumpwmrc Mon May 08 13:45:01 2023 -0400
@@ -241,7 +241,7 @@
(local-time:find-timezone-by-location-name "US/Eastern"))
(defparameter *budget/start*
- (local-time:encode-timestamp 0 0 0 0 26 7 2022 :timezone *tz/eastern*))
+ (local-time:encode-timestamp 0 0 0 0 7 5 2023 :timezone *tz/eastern*))
(defun budget/per-day ()
(first (losh:read-all-from-file "/home/sjl/Dropbox/budget/per-day")))
--- a/vim/vimrc Sat Mar 18 16:12:20 2023 -0400
+++ b/vim/vimrc Mon May 08 13:45:01 2023 -0400
@@ -834,6 +834,15 @@
augroup END
" }}}
+" Contacts {{{
+
+augroup ft_contacts
+ au!
+ autocmd BufNewFile,BufRead .contacts setlocal ts=32
+ autocmd BufNewFile,BufRead .contacts setlocal noexpandtab
+augroup END
+
+" }}}
" Common Lisp {{{
" Helper Functions {{{
--- a/weechat/autosort.conf Sat Mar 18 16:12:20 2023 -0400
+++ b/weechat/autosort.conf Mon May 08 13:45:01 2023 -0400
@@ -6,7 +6,7 @@
#
# Use commands like /set or /fset to change settings in WeeChat.
#
-# For more info, see: https://weechat.org/doc/quickstart
+# For more info, see: https://weechat.org/doc/quickstart/
#
[sorting]